de.esprit.netsuite.netdata.event

## Class SystemEvent

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.gui.event.GenericEvent
      - - de.esprit.netsuite.netdata.event.AbstractSessionEvent
        - - de.esprit.netsuite.netdata.event.SystemEvent

- All Implemented Interfaces:
    DeepCloneable, Dumpable, NetEvent, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    ClientConnectionEvent, CoServerConnectionEvent, ResourceLockEvent, ServerShutdownEvent, SystemDataChangeEvent, UserAuthenticationEvent

      public abstract class SystemEvent
      extends AbstractSessionEvent

  This event type is sent to the client in any case. Therefore it does not pass the servers event dispatcher and thus cannot be filtered.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SystemEvent.Source`

    - ### Nested classes/interfaces inherited from class de.esprit.common.gui.event.GenericEvent

      `GenericEvent.Listener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemEvent(SessionId sessId)`

  - ### Method Summary

    - ### Methods inherited from class de.esprit.netsuite.netdata.event.AbstractSessionEvent

      `getSessionId, setWasCausedByMe, toDumpString, toString, wasCausedByMe`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemEvent

          public SystemEvent(SessionId sessId)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.